package com.emato.ccnet;

import com.emato.ccnet.biz.req.order.csp.Ceb311OrderBiz;
import com.emato.ccnet.biz.req.pay.alipay.Ceb411AlipayBiz;
import com.emato.ccnet.biz.req.waybill.oms.Ceb511OmsWayBiz;
import com.emato.ccnet.msg.ResponseMessage;
import com.google.common.collect.ImmutableMap;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Map;

@RunWith(SpringRunner.class)
@SpringBootTest
public class CcnetApplicationTests {

	@Autowired
	private Ceb411AlipayBiz ceb411PayBillBiz;

	@Autowired
	private Ceb311OrderBiz ceb311OrderBiz;

	@Autowired
	private Ceb511OmsWayBiz ceb511OmsWayBiz;
	@Test
	public void contextLoads() {
		/*String sellerId = String.valueOf("2");

		Map<String, Object> reqParam = ImmutableMap.of("sellerId", sellerId);
		ceb411PayBillBiz.biz(reqParam);*/
	}

	/**
	 * 电子订单运单数据
	 */
	@Test
	public void cusOrderWaybill() {
		Map<String, Object> reqParam = ImmutableMap.of("number", 10);

		ResponseMessage result = ceb311OrderBiz.biz(reqParam);

		System.out.println(result);
	}

	/**
	 * 支付单数据开始
	 */
	@Test
	public void cusPayBill() {
		Map<String, Object> reqParam = ImmutableMap.of("number", 10);

		ResponseMessage result = ceb411PayBillBiz.biz(reqParam);

		System.out.println(result);
	}

	/**
	 * 海关运单
	 */
	@Test
	public void test() {
		Map<String, Object> reqParam = ImmutableMap.of("number", 2);

		ResponseMessage result =ceb511OmsWayBiz.biz(reqParam);

		System.out.println(result);
	}
}
